summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bin/dd/Makefile6
-rw-r--r--bin/dd/tests/Makefile12
-rwxr-xr-xcontrib/netbsd-tests/bin/dd/t_dd.sh6
-rw-r--r--etc/mtree/BSD.tests.dist2
4 files changed, 26 insertions, 0 deletions
diff --git a/bin/dd/Makefile b/bin/dd/Makefile
index eb8ec85..db6e854 100644
--- a/bin/dd/Makefile
+++ b/bin/dd/Makefile
@@ -1,6 +1,8 @@
# @(#)Makefile 8.1 (Berkeley) 5/31/93
# $FreeBSD$
+.include <bsd.own.mk>
+
PROG= dd
SRCS= args.c conv.c conv_tab.c dd.c misc.c position.c
@@ -24,4 +26,8 @@ test: ${PROG} gen
.endfor
@rm -f gen
+.if ${MK_TESTS} != "no"
+SUBDIR+= tests
+.endif
+
.include <bsd.prog.mk>
diff --git a/bin/dd/tests/Makefile b/bin/dd/tests/Makefile
new file mode 100644
index 0000000..f87af65
--- /dev/null
+++ b/bin/dd/tests/Makefile
@@ -0,0 +1,12 @@
+# $FreeBSD$
+
+OBJTOP= ${.OBJDIR:H:H:H}
+SRCTOP= ${.CURDIR:H:H:H}
+TESTSRC= ${SRCTOP}/contrib/netbsd-tests/bin/dd
+TESTSDIR= ${TESTSBASE}/bin/dd
+
+NETBSD_ATF_TESTS_SH= dd_test
+
+.include <netbsd-tests.test.mk>
+
+.include <bsd.test.mk>
diff --git a/contrib/netbsd-tests/bin/dd/t_dd.sh b/contrib/netbsd-tests/bin/dd/t_dd.sh
index d713ad9..62379c2 100755
--- a/contrib/netbsd-tests/bin/dd/t_dd.sh
+++ b/contrib/netbsd-tests/bin/dd/t_dd.sh
@@ -44,6 +44,12 @@ length_head() {
"the one expected to fail. (NetBSD PR bin/8521)"
}
length_body() {
+ # Begin FreeBSD
+ if ! df /dev/fd | grep -q '^fdescfs'; then
+ atf_skip "fdescfs is not mounted on /dev/fd"
+ fi
+ # End FreeBSD
+
test_dd_length 512 \
"dd if=/dev/zero of=/dev/fd/5 count=1 5>&1 >/dev/null 2>/dev/null"
test_dd_length 512 \
diff --git a/etc/mtree/BSD.tests.dist b/etc/mtree/BSD.tests.dist
index 7fe2bd0..db30736 100644
--- a/etc/mtree/BSD.tests.dist
+++ b/etc/mtree/BSD.tests.dist
@@ -10,6 +10,8 @@
..
date
..
+ dd
+ ..
expr
..
ls
OpenPOWER on IntegriCloud